# Screen : Object
Return to: HTML DOM Level 0 index

Provides information about the display screen and colors.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
Screen Constructor() : Screen Creates a new instance of a Screen object. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

### Screen() : Screen

Creates a new instance of a Screen object.

Returns

Screen |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
availHeight : Object Available height (in pixels) of the screen (not allocated to a shortcut bar or similar feature). | No Details | 4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

availLeft : Object Available space (in pixels) at the far left of the screen (not allocated to a shortcut bar or similar feature). | No Details | no | 1.0+ | 4.0+ | no | 1.0+

availTop : Object Available space (in pixels) at the top of the screen (not allocated to a shortcut bar or similar feature). | No Details | no | 1.0+ | 4.0+ | no | 1.0+

availWidth : Object Available width (in pixels) of the screen (not allocated to a shortcut bar or similar feature). | No Details | 4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

colorDepth : Number Depth of the color palette for the screen. | No Details | 4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

height : Object Total height of the display screen. | No Details | 4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

pixelDepth : Object Screen color resolution (in bits-per-pixel). | No Details | no | 1.0+ | 4.0+ | 7.0+ | 1.0+

width : Object Total width of the display screen. | No Details | 4.0+ | 1.0+ | 4.0+ | 7.0+ | 1.0+

## References

Window.screen

## Availability

JavaScript 1.2

text_javascript aptana_docs